%{?nodejs_find_provides_and_requires}

%global packagename content-type
%global enable_tests 1

Name:		nodejs-%{packagename}
Version:	1.0.1
Release:	1%{?dist}
Summary:	Create and parse HTTP Content-Type header according to RFC 7231

License:	MIT
URL:		https://github.com/jshttp/content-type
Source0:	https://github.com/jshttp/content-type/archive/v1.0.1.tar.gz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Create and parse HTTP Content-Type header according to RFC 7231


%prep
%setup -q -n %{packagename}-%{version}


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md HISTORY.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct  7 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
